
From: Samuel Thibault <Samuel.Thibault@ens-lyon.fr>

Changes the new console scrolling ioctl to permit distances greater than
+127/-128.



 drivers/char/vt.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)

diff -puN drivers/char/vt.c~scroll-distance-fix drivers/char/vt.c
--- 25/drivers/char/vt.c~scroll-distance-fix	2003-06-15 11:54:43.000000000 -0700
+++ 25-akpm/drivers/char/vt.c	2003-06-15 11:54:43.000000000 -0700
@@ -75,6 +75,7 @@
  */
 
 #include <linux/module.h>
+#include <linux/types.h>
 #include <linux/sched.h>
 #include <linux/tty.h>
 #include <linux/tty_flip.h>
@@ -2279,7 +2280,7 @@ int tioclinux(struct tty_struct *tty, un
 			ret = fg_console;
 			break;
 		case TIOCL_SCROLLCONSOLE:
-			if (get_user(lines, (char *)arg+1)) {
+			if (get_user(lines, (s32 *)((char *)arg+4))) {
 				ret = -EFAULT;
 			} else {
 				scrollfront(lines);

_
